Subject: bug#24083: guix lint doesn't actually fail on some errors

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 13 Jul 2021 12:20:21 +0200

On Tue, 13 Jul 2021 11:05:49 +0200
zimoun <[email-masked]> wrote:

> On Wed, 27 Jul 2016 at 22:57, [email-masked] (Ludovic Courtès) wrote:
> > Danny Milosavljevic <[email-masked]> skribis:
> >  
> >> guix lint doesn't actually fail on some errors.  
> >
> > It never pretended to exit with non-zero when warnings are emitted.  :-)
> > (These are warnings, not errors.)  

Sure, it makes sense.  I'm just doing " |wc -l" now.

> Because of that, I propose to close without modifying the returned code.
> WDYT?

Agreed.

But I would suggest to document in the manual that the exit status is
not set,  though.